<?php 
function getEstadoCondicion($idestado){
  $desc_estado = Constantes::$a_condicionPrestamo[$idestado];
  return $desc_estado;
}


function diferenciaDates($dFecFin, $dFecIni)
{
    $dFecIni = str_replace("-","",$dFecIni);
    $dFecIni = str_replace("/","",$dFecIni);
    $dFecFin = str_replace("-","",$dFecFin);
    $dFecFin = str_replace("/","",$dFecFin);

    ereg( "([0-9]{2,4})([0-9]{1,2})([0-9]{1,2})", $dFecIni, $aFecIni);
    ereg( "([0-9]{2,4})([0-9]{1,2})([0-9]{1,2})", $dFecFin, $aFecFin);

    $date1 = mktime(0,0,0,$aFecIni[2], $aFecIni[3], $aFecIni[1]);
    $date2 = mktime(0,0,0,$aFecFin[2], $aFecFin[3], $aFecFin[1]);

    return round(($date2 - $date1) / (60 * 60 * 24));
}

function array_sort($array, $on, $order=SORT_ASC)
{
    $new_array = array();
    $sortable_array = array();

    if (count($array) > 0) {
        foreach ($array as $k => $v) {
            if (is_array($v)) {
                foreach ($v as $k2 => $v2) {
                    if ($k2 == $on) {
                        $sortable_array[$k] = $v2;
                    }
                }
            } else {
                $sortable_array[$k] = $v;
            }
        }

        switch ($order) {
            case SORT_ASC:
                asort($sortable_array);
            break;
            case SORT_DESC:
                arsort($sortable_array);
            break;
        }

        foreach ($sortable_array as $k => $v) {
            $new_array[$k] = $array[$k];
        }
    }

    return $new_array;
}

function fnroundesp( $num, $d=0 )
{
	$num = sprintf("%.4f",$num);
	$d = pow(10, $d);
	
	if($num == 0){
    $sgn = 0;
	}else if($num > 0){
    $sgn = 1;
	}else{
    $sgn = -1;
	}
	
	$v1 = intval((string)($num*$d + $sgn*.5));
	return ($v1/$d);
}

function getPermisoColaborador($idColaborador,$IdcolaboradorTrx){
	if($IdcolaboradorTrx != $idColaborador){
		?>
		<script>
			alert('Requiere volver a loguearse');
 			parent.document.location.href = '<?php echo buildUrlComplet('sys.php/user/logout')?>';	
		</script>
		<?php 
		exit;
	}
}

function getPermisoColaboradorMercado($idColaborador,$IdMercado){
	$o_MercadoColaborador = new MercadoRepresentanteBean();
	$o_MercadoColaborador->setIdColaborador($idColaborador);
	$o_MercadoColaborador->setIdMercado($IdMercado);
	$o_MercadoColaboradorDP = new MercadoRepresentanteDP($o_MercadoColaborador);
	$a_MercadoRepresentante = $o_MercadoColaboradorDP->select();
	if(!is_array($a_MercadoRepresentante)){
			?>
			<script>
				alert('Requiere volver a loguearse');
	 			parent.document.location.href = '<?php echo buildUrlComplet('sys.php/user/logout')?>';	
			</script>
			<?php 
			exit;
		
	}
}